curl --request GET \
--url https://{host}/lucca-api/taxonomies/{id} \
--header 'Api-Version: <api-version>' \
--header 'Authorization: Bearer <token>'{
"id": "45",
"type": "taxonomy",
"url": "https://example.ilucca.net/lucca-api/taxonomies/45",
"name": "T-shirt size",
"createdAt": "2025-01-23T19:45:23Z",
"lastUpdatedAt": "2025-01-23T19:45:23Z",
"t9n": {
"name": {
"fr-FR": "Taille de t-shirt."
}
},
"links": {},
"embedded": {}
}Retrieve a taxonomy by its ID.
curl --request GET \
--url https://{host}/lucca-api/taxonomies/{id} \
--header 'Api-Version: <api-version>' \
--header 'Authorization: Bearer <token>'{
"id": "45",
"type": "taxonomy",
"url": "https://example.ilucca.net/lucca-api/taxonomies/45",
"name": "T-shirt size",
"createdAt": "2025-01-23T19:45:23Z",
"lastUpdatedAt": "2025-01-23T19:45:23Z",
"t9n": {
"name": {
"fr-FR": "Taille de t-shirt."
}
},
"links": {},
"embedded": {}
}Access
taxonomies.readonly
taxonomies.readwrite
The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.
Set the API version.
2024-11-01 "2024-11-01"10"2024-11-01"
Only execute the request if current cached version of the resource does not match the one given here.
"W/q5sd4w2x1c1gfdg"
Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.
"W/q5sd4w2x1c1gfdg"
List of compression algorithms you support.
Identifier of the taxonomy
1Include metadata:
embedded: the partial or complete representations of related resources
(e.g. the employee the resource belongs to).links: links to related resources or actions (e.g. approving a leave-request).
May be null when you do not have access to the resource (or action).totalCount: only applicable on collections (i.e. lists of resources), gives
the total number of items across all pages.Read more about expanding responses.
embedded, links, totalCount OK
A taxonomy resource.
11"taxonomy"Indication to the client about how it should sort taxonomy-labels. Value can be interpolated as the expected value of the "sort" query parameter:
/lucca-api/taxonomy-labels?taxonomy.id={{taxonomy.id}}&sort={{taxonomy.sortLabelsBy}}
id, name Read-only. UTC timestamp of the moment this object was created.
"2023-01-23T12:45:23.1234Z"
Read-only. UTC timestamp of the moment this object was last updated. Set upon creation, update or deletion of the object.
"2023-01-23T12:45:23.1234Z"
Show child attributes
No embedded resources on a taxonomy(ies) response. Expect an empty object if embedded are requested.
Was this page helpful?